Bug 1460075 - HPA V2 failed to Get Resource Metrics
HPA V2 failed to Get Resource Metrics
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.6.1
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.0
Assigned To: Solly Ross
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 22:26 EDT by Zhang Cheng
Modified: 2017-10-03 13:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-03 13:50:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhang Cheng 2017-06-08 22:26:12 EDT
Clone upstream issue: https://github.com/kubernetes/kubernetes/issues/46482

**What happened**:
Failed get resource metrics, and show warning event in hpa describe:
Warning		FailedGetResourceMetricunable to get metrics for resource memory: unable to fetch metrics from API: an error on the server ("Error: 'x509: certificate signed by unknown authority'\nTrying to reach: 'https://10.0.0.97/apis/metrics/v1alpha1/namespaces/default/pods?labelSelector=run%3Dhello-hpa-memory'") has prevented the request from succeeding (get pods.metrics)
Warning		FailedComputeMetricsReplicas	failed to get memory utilization: unable to get metrics for resource memory: unable to fetch metrics from API: an error on the server ("Error: 'x509: certificate signed by unknown authority'\nTrying to reach: 'https://10.0.0.97/apis/metrics/v1alpha1/namespaces/default/pods?labelSelector=run%3Dhello-hpa-memory'") has prevented the request from succeeding (get pods.metrics)

Error in /tmp/kube-controller-manager.log:
E0525 23:27:17.324509    5029 horizontal.go:205] failed to compute desired number of replicas based on listed metrics for ReplicationController/default/hello-hpa-memory: failed to get memory utilization: unable to get metrics for resource memory: unable to fetch metrics from API: an error on the server ("Error: 'x509: certificate signed by unknown authority'\nTrying to reach: 'https://10.0.0.97/apis/metrics/v1alpha1/namespaces/default/pods?labelSelector=run%3Dhello-hpa-memory'") has prevented the request from succeeding (get pods.metrics)


**What you expected to happen**:
HPA V2 can get resource metrics successfully.
Comment 1 Solly Ross 2017-06-22 17:05:31 EDT
running with the REST metrics clients is not currently supported in OpenShift, so this upstream issue isn't relevant at the moment.

Note You need to log in before you can comment on or make changes to this bug.